package domain


type AlibabaRetailMarketingItempoolActivityCreateOctopusOpenResult struct {
    /*
        活动id     */
    Data  *int64 `json:"data,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误提示     */
    ErrorMessage  *string `json:"error_message,omitempty" `

    /*
        错误码     */
    ErrorCode  *string `json:"error_code,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityCreateOctopusOpenResult) SetData(v int64) *AlibabaRetailMarketingItempoolActivityCreateOctopusOpenResult {
    s.Data = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateOctopusOpenResult) SetSuccess(v bool) *AlibabaRetailMarketingItempoolActivityCreateOctopusOpenResult {
    s.Success = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateOctopusOpenResult) SetErrorMessage(v string) *AlibabaRetailMarketingItempoolActivityCreateOctopusOpenResult {
    s.ErrorMessage = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateOctopusOpenResult) SetErrorCode(v string) *AlibabaRetailMarketingItempoolActivityCreateOctopusOpenResult {
    s.ErrorCode = &v
    return s
}
